com.ibm.openpages.api.resource

## Class DeletedResourceFilter.FilterCondition

- java.lang.Object
- - com.ibm.openpages.api.resource.DeletedResourceFilter.FilterCondition

- Enclosing class:
    DeletedResourceFilter

      public static class DeletedResourceFilter.FilterCondition
      extends java.lang.Object

  Filter condition class

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterCondition(java.lang.String field, java.lang.String operator, java.lang.Object value)` Constructor - Creates the DeletedResourceFilter.FilterCondition.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getField()` Get the field name.
    `java.lang.String` | `getOperator()` Get the condition operator
    `java.lang.Object` | `getValue()` Get the condition value

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilterCondition

          public FilterCondition(java.lang.String field,
                                 java.lang.String operator,
                                 java.lang.Object value)

      Constructor - Creates the DeletedResourceFilter.FilterCondition.
      Parameters:
        `field` - the field name
        `operator` - the condition operator
        `value` - the condition value

  - ### Method Detail

    - #### getField

          public java.lang.String getField()

      Get the field name.
      Returns:
        the field name

    - #### getOperator

          public java.lang.String getOperator()

      Get the condition operator
      Returns:
        the condition operator

    - #### getValue

          public java.lang.Object getValue()

      Get the condition value
      Returns:
        the condition value

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.